const getEmailCopy = ({ emailType, titleText, expectedDate, customId }) => {
  let paragraph
  const hasLink = true
  switch (emailType) {
    case 'he-new-version-submitted':
      paragraph = `A new version of ${titleText} has been submitted.
        Previous reviewers have been automatically invited to review the manuscript again. Please visit the manuscript details page to see the latest version and any other actions you may need to take.`
      break
    case 'submitted-reviewers-after-revision':
      paragraph = `A new version of ${titleText} has been submitted. As you have reviewed the previous version of this manuscript, I would be grateful if you can review this revised version and submit a review report by ${expectedDate}. You can download the PDF of the revised version and submit your new review from the following URL:`
      break
    case 'eic-manuscript-submitted':
      paragraph = `A new manuscript has been submitted. You can view ${titleText} and take further actions by clicking on the following link:`
      break
    case 'eqs-manuscript-submitted':
      paragraph = `Manuscript ID ${customId} has been submitted and a package has been sent. Please click on the link below to either approve or reject the manuscript:`
      break
    case 'coauthors-manuscript-submitted':
      paragraph = `${titleText} has been received.<br/>
        Please verify your details by clicking the link below.<br/>
        Once confirmed, you will also be able to view the status and progress of the manuscript.<br/>
        Thank you for submitting your work to Hindawi. <br/>
      `
      break
    case 'submitting-author-manuscript-submitted':
      paragraph = `Congratulations, ${titleText} has been successfully submitted.<br/>
        All authors will receive correspondence regarding this manuscript, though only you will be able to make updates.<br/>
        In order to view the status of the manuscript, please click the link below.<br/>
        Thank you for submitting your work to Hindawi. <br/>
      `
      break
    default:
      throw new Error(`The ${emailType} email type is not defined.`)
  }

  return { paragraph, hasLink }
}

module.exports = {
  getEmailCopy,
}
